
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_seatavailabilityrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for OrderItemActionSimpleType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="OrderItemActionSimpleType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Cancel"/&amp;gt;
 *     &amp;lt;enumeration value="Create"/&amp;gt;
 *     &amp;lt;enumeration value="Delete"/&amp;gt;
 *     &amp;lt;enumeration value="Divide"/&amp;gt;
 *     &amp;lt;enumeration value="Reissue"/&amp;gt;
 *     &amp;lt;enumeration value="Reprice"/&amp;gt;
 *     &amp;lt;enumeration value="Update"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "OrderItemActionSimpleType")
@XmlEnum
public enum OrderItemActionSimpleType {

    @XmlEnumValue("Cancel")
    CANCEL("Cancel"),
    @XmlEnumValue("Create")
    CREATE("Create"),
    @XmlEnumValue("Delete")
    DELETE("Delete"),
    @XmlEnumValue("Divide")
    DIVIDE("Divide"),
    @XmlEnumValue("Reissue")
    REISSUE("Reissue"),
    @XmlEnumValue("Reprice")
    REPRICE("Reprice"),
    @XmlEnumValue("Update")
    UPDATE("Update");
    private final String value;

    OrderItemActionSimpleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrderItemActionSimpleType fromValue(String v) {
        for (OrderItemActionSimpleType c: OrderItemActionSimpleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
